Resource
Tolls
Toll transactions auto-imported from EZPass and other agencies. Attach to a customer to bill.
The toll object
idstring (uuid) | Unique identifier. |
objectstring | Always `"toll"`. |
vehicle_idstring (uuid) | Vehicle that incurred the toll. |
customer_idstring (uuid) | Customer to bill (set via PATCH). |
agencystring | Issuing agency. |
amountnumber | Toll amount. |
transaction_datetimestring (iso8601) | When the toll occurred. |
billed_invoice_idstring (uuid) | Invoice this toll was charged on. |
Webhook events
Subscribe to receive notifications when toll resources change:
toll.attachedEndpoints
GET
/v1/tollsscope: readList tolls
Query parameters
vehiclestring | Filter by vehicle. |
customerstring | Filter by customer. |
limitinteger | Default 20. |
Request
curl -X GET 'https://userenvo.com/api/v1/tolls' \
-H 'Authorization: Bearer rv_live_…'Response
{
"object": "list",
"has_more": false,
"next_cursor": null,
"data": [
{
"object": "toll",
"id": "to_…",
"amount": 12.5,
"agency": "EZPass NJ",
"vehicle_id": "a4…"
}
]
}GET
/v1/tolls/{id}scope: readRetrieve a toll
Path parameters
idrequiredstring | Toll id. |
Request
curl -X GET 'https://userenvo.com/api/v1/tolls/a4d2e1c0-9b…' \
-H 'Authorization: Bearer rv_live_…'Response
{
"object": "toll",
"id": "to_…",
"amount": 12.5
}PATCH
/v1/tolls/{id}scope: read_writeAttach toll to customer
Sets the customer to bill. Only `customer_id` is updatable.
Path parameters
idrequiredstring | Toll id. |
Body parameters
customer_idstring | Customer to bill. |
Request
curl -X PATCH 'https://userenvo.com/api/v1/tolls/a4d2e1c0-9b…' \
-H 'Authorization: Bearer rv_live_…' \
-H 'Content-Type: application/json' \
-d '{
"customer_id": "<customer_id>"
}'Response
{
"object": "toll",
"id": "to_…",
"customer_id": "cu_…"
}